## rust-memo-map 0.3.1

=== Makefile ===
all: test

build:
	@cargo build --all-features

doc:
	@cargo doc --all-features

test:
	@cargo test

miri-test:
	@MIRIFLAGS=-Zmiri-tag-raw-pointers cargo +nightly miri test

format:
	@rustup component add rustfmt 2> /dev/null
	@cargo fmt --all

format-check:
	@rustup component add rustfmt 2> /dev/null
	@cargo fmt --all -- --check

lint:
	@rustup component add clippy 2> /dev/null
	@cargo clippy

.PHONY: all doc test format format-check lint

=== debian/changelog ===
rust-memo-map (0.3.1-1) unstable; urgency=medium

  * Package memo-map 0.3.1 from crates.io using debcargo 2.6.0

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 06 Jul 2023 14:19:47 +0100

=== debian/control ===
Source: rust-memo-map
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Jelmer Vernooĳ <jelmer@debian.org>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/memo-map]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/memo-map
X-Cargo-Crate: memo-map
Rules-Requires-Root: no

Package: librust-memo-map-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends}
Provides:
 librust-memo-map+default-dev (= ${binary:Version}),
 librust-memo-map-0-dev (= ${binary:Version}),
 librust-memo-map-0+default-dev (= ${binary:Version}),
 librust-memo-map-0.3-dev (= ${binary:Version}),
 librust-memo-map-0.3+default-dev (= ${binary:Version}),
 librust-memo-map-0.3.1-dev (= ${binary:Version}),
 librust-memo-map-0.3.1+default-dev (= ${binary:Version})
Description: Crate implementing a synchronized map for memoization - Rust source code
 This package contains the source for the Rust memo-map crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test memo-map 0.3.1 --all-targets --all-features
Features: test-name=rust-memo-map:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test memo-map 0.3.1 --all-targets
Features: test-name=librust-memo-map-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test memo-map 0.3.1 --all-targets --no-default-features
Features: test-name=librust-memo-map-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/memo-map-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/memo-map .*/crates/memo-map/@ANY_VERSION@/download
